curl --request GET \
--url https://api.ctrl-hub.com/v3/vehicle-inspections \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/vehicle-inspections"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/vehicle-inspections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicle-inspections",
"attributes": {
"inspected_at": "2023-11-07T05:31:56Z",
"checks": {
"visible_damage": true,
"tyres": true,
"washers_and_wipers": true,
"windscreen": true,
"number_plate": true,
"security": true,
"accessories": true,
"spare_number_plate": true,
"safe_access": true,
"reversing_alarm": true,
"beacons": true,
"chemicals_and_fuel": true,
"storage": true,
"lights_and_indicators": true,
"engine_warning_lights": true,
"servicing": true,
"levels": true,
"cleanliness": true,
"driver_checks": true
},
"comments": {
"visible_damage": "<string>",
"tyres": "<string>",
"washers_and_wipers": "<string>",
"windscreen": "<string>",
"number_plate": "<string>",
"security": "<string>",
"accessories": "<string>",
"spare_number_plate": "<string>",
"safe_access": "<string>",
"reversing_alarm": "<string>",
"beacons": "<string>",
"chemicals_and_fuel": "<string>",
"storage": "<string>",
"lights_and_indicators": "<string>",
"engine_warning_lights": "<string>",
"servicing": "<string>",
"levels": "<string>",
"cleanliness": "<string>",
"driver_checks": "<string>"
}
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"passed": 123,
"failed": 123,
"not_applicable": 123
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"vehicle": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicles"
}
},
"author": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 1,
"resources": 1
},
"current_page": 1,
"offsets": {
"next": null,
"previous": null
},
"requested": {
"limit": 10,
"offset": 0
}
},
"features": {
"include": {
"options": [
"related.resource"
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations",
"attributes": {
"name": "Acme Construction Ltd",
"slug": "acme-construction",
"sandbox": false,
"description": "Leading construction company specializing in infrastructure projects",
"settings": {
"teams": {
"customer_representatives": [
"b234c567-8901-2345-6789-abcdef012345"
]
},
"security": {
"require_mfa": false
}
}
},
"meta": {
"v3": true,
"status": "active",
"created_at": "2023-01-15T10:30:00.000Z",
"updated_at": "2023-02-20T14:45:00.000Z",
"features": [
{
"name": "advanced_reporting",
"enabled": true,
"limit": 1000
}
]
},
"relationships": {
"users": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"service_accounts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service-accounts"
}
]
},
"groups": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "groups"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"nomenclature": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "nomenclature"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}List vehicle inspections
Retrieve a list of vehicle inspections. Filter by vehicle with ?filter=eq(vehicle,xxx).
Authorizations
Session token for authentication.
Query Parameters
Filters the response data based on the value provided.
Available filters:
eq(id,xxx): Filter vehicle inspections by ID.eq(organisation,xxx): Filter vehicle inspections by organisation ID.eq(vehicle,xxx): Filter vehicle inspections by vehicle ID.eq(author,xxx): Filter vehicle inspections by author user ID.
A comma separated list of related resources to include.
author, organisation, vehicle Limit the number of resources returned by the API
x >= 1Offset the resources returned by the API
x >= 0JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.
Show child attributes
Show child attributes
A comma separated list of fields to sort by.
created_at, -created_at, inspected_at, -inspected_at Response
Get a list of vehicle inspections.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a vehicle inspection is returned.
An organisation
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes